SCO OpenServer NWPrint Command Line Argument Local Buffer Overflow Vulnerability

nwprint that is distributed with SCO OpenServer is prone to a local buffer overflow vulnerability. This issue arises because the application fails to perform boundary checks prior to copying user-supplied data into sensitive process buffers. A local attacker can gain elevated privileges (lp user) by exploiting this issue.


 

Privacy Statement
Copyright 2010, SecurityFocus